Loading ...
Sorry, an error occurred while loading the content.

Re: [id-ruby] sekedar berbagi - ruby on debian sarge

Expand Messages
  • Arie Kusuma Atmaja
    ... ah mas steve - dikau bisa saja.. diriku jadi tersipu malu :-[ :-* ... ugh jangan2 ini pembenaran utk kasus sy gini :-( setlh disibukkan dg aktivitas
    Message 1 of 7 , Apr 20, 2005
    • 0 Attachment
      Steven Haryanto wrote:

      >Arie Kusuma Atmaja wrote:
      >
      >
      >>sbg debian newbie pas instal OS ini sy cm men-scan seluruh 13 CD Sarge
      >>ke CRW sy, lalu ketika jalan Sarge langsung masuk X.
      >>
      >>
      >
      >cie, mo pindah ke debian nih? :) sama dong kita :)
      >
      >
      ah mas steve - dikau bisa saja.. diriku jadi tersipu malu :-[ :-*

      >>Padahal di milis ruby-talk bnyk yg reply thread semacam why debian
      >>hates ruby dan lain-lain. Tapi pemikiran ini sekedarnya sj, krn sy belum
      >>rails di sarge (krn blm bs konek internet dr linux :)
      >>
      >>
      >
      >thread itu muncul karena di debian, standard library terpecah menjadi
      >banyak sekali (30-an) paket. misalnya dl dipecah ke paket libdl-ruby.
      >trus rd, erb, yaml, drb, dsb. dan gak semuanya diinstal secara default.
      >jadi kalo ada skrip yang "require 'dl'" akan gagal jalan dan user akan
      >bingung. pengennya sebagian besar penghuni milis ruby-talk sih semua
      >standard library dikemas aja jadi satu paket (atau ada paket virtual yg
      >otomatis menginstalkan semua paket tsb). jadi skrip2 ruby yg hanya
      >menggunakan standard library bisa jalan.
      >
      >
      ugh jangan2 ini pembenaran utk kasus sy gini :-(
      setlh disibukkan dg aktivitas sehari2, pas back to rails tapi di debian
      setlh bnyk error instal gem yg sdh sy betulkan, masuk rails jadi bingung
      gini deh.

      $ rails coba
      /usr/lib/ruby/gems/1.8/gems/actionpack-1.8.1/lib/action_controller.rb:52:
      undefi oller::Base:Class
      (NoMethodError)
      from
      /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:in `requ
      from
      /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:18:in `requ
      from
      /usr/lib/ruby/gems/1.8/gems/activesupport-1.0.4/lib/active_support/
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:175:in `activate'
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:162:in `activate'
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:161:in `each'
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:161:in `activate'
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:37:in
      `require_gem_with_op
      from /usr/local/lib/site_ruby/1.8/rubygems.rb:31:in `require_gem'
      from /usr/bin/rails:17

      >kalo gak salah sekarang ada paket ruby-bundle deh utk melakukan hal tsb.
      >tapi belon nyoba (saya biasanya ngupdate repository debian kalo ke
      >jakarta aja, di bandung pake dialup...:( )
      >
      >
      kl skrg sdh sempat belon nyoba-nya? bagi2 info dong.. pasti di sid lagi
      ya :-(



      --
      Salam hangat,
      Arie

      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |a|r|i|e|k|u|s|u|m|a|a|t|m|a|j|a|@|g|m|a|i|l|.|c|o|m|
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    • Steven Haryanto
      ... kayaknya namanya libruby (libruby1.8) deh. gedenya 5.5MB, aku liat dalemnya dah lengkap. btw, di milis ruby-talk ada yg mem-package ruby1.9. tapi belum ada
      Message 2 of 7 , Apr 20, 2005
      • 0 Attachment
        Arie Kusuma Atmaja wrote:
        >>kalo gak salah sekarang ada paket ruby-bundle deh utk melakukan hal tsb.
        >>tapi belon nyoba (saya biasanya ngupdate repository debian kalo ke
        >>jakarta aja, di bandung pake dialup...:( )
        >>
        > kl skrg sdh sempat belon nyoba-nya? bagi2 info dong.. pasti di sid lagi
        > ya :-(

        kayaknya namanya libruby (libruby1.8) deh. gedenya 5.5MB, aku liat
        dalemnya dah lengkap.

        btw, di milis ruby-talk ada yg mem-package ruby1.9. tapi belum ada di
        official debian archive :( [emang beta software biasanya kagak masuk...]
        pengen nyobain ruby1.9 dan yarv sebetulnya, tapi males kalo harus
        patch+compile sendiri hehe.

        --
        Steven Haryanto | PT. Master Web Network (MWN)
        http://people.masterwebnet.com/steven | Ged Cyber Lt9, Kuningan Barat 8
        Y!:stevenharyanto | Jaksel 12710. Ph: (021) 5269311

        http://egroups.com/group/id-regex http://egroups.com/group/id-perl
        http://egroups.com/group/id-mysql http://egroups.com/group/id-python
        http://egroups.com/group/id-ruby http://egroups.com/group/id-postgresql
        http://egroups.com/group/id-php http://egroups.com/group/diskusihosting
      • Arie Kusuma Atmaja
        ... libruby1.8 kan uda ada masuk di sarge. Tapi belum sempet ta liat sih dalemnya, yg jelas dari user s point of view wae buktinya rails coba tadi pagi ga
        Message 3 of 7 , Apr 21, 2005
        • 0 Attachment
          Steven Haryanto wrote:

          >kayaknya namanya libruby (libruby1.8) deh. gedenya 5.5MB, aku liat
          >dalemnya dah lengkap.
          >
          >
          libruby1.8 kan uda ada masuk di sarge. Tapi belum sempet ta' liat sih
          dalemnya, yg jelas dari user's point of view wae buktinya rails coba
          tadi pagi ga jalan tuch

          debian:/mnt/hda6/surfing_saveas# apt-cache search libruby | more
          libruby1.6-dbg - Debugging libraries for Ruby 1.6.x
          libruby1.8-dbg - Debugging libraries for Ruby 1.8
          libruby1.7 - Libraries necessary to run Ruby
          ruby-eserver - Generic multi-threaded e-service server in Ruby 1.6.x
          libruby - Libraries necessary to run Ruby 1.8.x
          libruby1.6 - Libraries necessary to run Ruby 1.6.x
          libruby1.8 - Libraries necessary to run the Ruby 1.8
          debian:/mnt/hda6/surfing_saveas#

          >pengen nyobain ruby1.9 dan yarv sebetulnya, tapi males kalo harus
          >patch+compile sendiri hehe.
          >
          >
          penyakit qta sama dong O:-)


          --
          Salam hangat,
          Arie

          +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
          |a|r|i|e|k|u|s|u|m|a|a|t|m|a|j|a|@|g|m|a|i|l|.|c|o|m|
          +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
        • yoppy
          salam :) ... pendatang baru nih saya.. baru bisa konnichiwa, hello ruby :) tapi kebetulan di DWN terakhir ada berita irb versi 1.9, ternyata ruby-nya juga
          Message 4 of 7 , Apr 21, 2005
          • 0 Attachment
            salam :)

            On Thu April 21 2005 07:41, Steven Haryanto wrote:
            > btw, di milis ruby-talk ada yg mem-package ruby1.9. tapi belum ada di
            > official debian archive :( [emang beta software biasanya kagak
            > masuk...] pengen nyobain ruby1.9 dan yarv sebetulnya, tapi males kalo
            > harus patch+compile sendiri hehe.

            pendatang baru nih saya.. baru bisa "konnichiwa, hello ruby" :) tapi
            kebetulan di DWN terakhir ada berita irb versi 1.9, ternyata ruby-nya
            juga sudah 1.9.
            di sid tentunya... ;)

            http://packages.debian.org/unstable/interpreters/irb1.9


            yoppy
            --
            I don't care where I sit as long as I get fed.
            -- Calvin Trillin
          Your message has been successfully submitted and would be delivered to recipients shortly.